Package org.apache.commons.compress.compressors.lzma

# Class LZMACompressorOutputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<LZMACompressorOutputStream,LZMACompressorOutputStream.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<LZMACompressorOutputStream,LZMACompressorOutputStream.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<LZMACompressorOutputStream,LZMACompressorOutputStream.Builder>
org.apache.commons.compress.compressors.lzma.LZMACompressorOutputStream.Builder

All Implemented Interfaces:
  `IOSupplier<LZMACompressorOutputStream>`

Enclosing class:
  `LZMACompressorOutputStream`

public static class LZMACompressorOutputStream.Builder extends AbstractStreamBuilder<LZMACompressorOutputStream,LZMACompressorOutputStream.Builder>
Builds a new `LZMACompressorOutputStream`.

For example:

     LZMACompressorOutputStream s = LZMACompressorOutputStream.builder()
       .setPath(path)
       .setLzma2Options(new LZMA2Options(...))
       .get();

Since:
  1.28.0
See Also:
  - `get()`
  - `LZMA2Options`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new builder of `LZMACompressorOutputStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LZMACompressorOutputStream`
  `get()`
  `LZMACompressorOutputStream.Builder`
  `setLzma2Options(org.tukaani.xz.LZMA2Options lzma2Options)`
  Sets LZMA options.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier, getUnchecked`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new builder of `LZMACompressorOutputStream`.

- ## Method Details

  - ### get

    public LZMACompressorOutputStream get() throws IOException
    Throws:
      `IOException`

  - ### setLzma2Options

    public LZMACompressorOutputStream.Builder setLzma2Options(org.tukaani.xz.LZMA2Options lzma2Options)
    Sets LZMA options.

    Passing `null` resets to the default value `LZMA2Options()`.

    Parameters:
      `lzma2Options` - LZMA options.
    Returns:
      this instance.